---
tag: v1.7.0
title: v1.7.0
date: 2021-12-07T00:25:59Z
prerelease: false
---

From this release onward I will try to add a small paragraph explaining what each release contains, you're reading the first one right now!

This release brings chat alerts (follow/raid/sub/cheer) so you can have your bot thank viewers for the support they just gave you in your unique way! Functionality is mostly built, but the UI still needs some work.

For users who might not be able to use the back-end integration, I'm looking into integrating a way to get sub/resub/cheer/raid and hosting (which is currently lacking due to not being available as eventsub) from the chat itself.

## Changelog

### Added

- **Chat alerts based on webhooks**: You can now add follow/sub/cheer/raid messages in chat. Basic messages are fully functional, advanced features are still in works (such as variations for certain thresholds, e.g. a different raid message if the raid has more than X viewers coming in).
- Strimertul now prints its own version when starting up, useful for troubleshooting.

### Changed

- Timers do not have a "enabled" toggle anymore, they are always enabled (just non-functional if you have none).

### Fixed

- Twitch bot: fixed command checking, previous matching only checked for prefix (eg. !verylong could be called by writing !verylonglongbaaah)
- DB was not getting garbage collected, this is now fixed with a GC run every 15 minutes.


## Downloads

- [strimertul_linux_amd64](https://github.com/strimertul/strimertul/releases/download/v1.7.0/strimertul_linux_amd64) (17.92 MiB)
- [strimertul_linux_arm](https://github.com/strimertul/strimertul/releases/download/v1.7.0/strimertul_linux_arm) (15.93 MiB)
- [strimertul_windows_amd64.exe](https://github.com/strimertul/strimertul/releases/download/v1.7.0/strimertul_windows_amd64.exe) (18.23 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v1.7.0) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v1.7.0)

This release was originally published on GitHub and converted, you can find the original release here: [v1.7.0 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v1.7.0)
