---
tag: v3.1.1
title: v3.1.1
date: 2023-02-23T10:18:11Z
prerelease: false
---

This release is a hotfix to a Twitch deprecation that breaks event notifications, you should upgrade ASAP and re-authenticate your user!

## Changelog

UPGRADE NOTE: If upgrading from an earlier version, please re-authenticate your user to make sure it has a necessary new permission for event notifications to work (even from 3.1.0).

### Fixed
- Fixed issue where event notification would not work due to Twitch deprecating the `channel.follows` V1 topic
- Fixed more database leaks

## Downloads

- [strimertul-linux-amd64](https://github.com/strimertul/strimertul/releases/download/v3.1.1/strimertul-linux-amd64) (28.34 MiB)
- [strimertul.dmg](https://github.com/strimertul/strimertul/releases/download/v3.1.1/strimertul.dmg) (32.04 MiB)
- [strimertul.exe](https://github.com/strimertul/strimertul/releases/download/v3.1.1/strimertul.exe) (29.33 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v3.1.1) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v3.1.1)

This release was originally published on GitHub and converted, you can find the original release here: [v3.1.1 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v3.1.1)
