---
tag: v1.6.0
title: v1.6.0
date: 2021-11-21T21:39:25Z
prerelease: false
---

### Added

- KV Authentication using Kilovolt v6, check out [the authentication documentation](https://github.com/strimertul/kilovolt/blob/main/PROTOCOL.md#authentication) for more info.

### Changed

- The webserver now restarts when the bind address is changed, and the Web UI should auto-redirect to the new URL.
- The static server will react to configuration changes and auto-restart instead of requiring strimertul to be closed and reopened manually.
- Added a couple buttons in the secret debug page to dump all keys and their content

## Downloads

- [strimertul_linux_amd64](https://github.com/strimertul/strimertul/releases/download/v1.6.0/strimertul_linux_amd64) (18.10 MiB)
- [strimertul_linux_arm](https://github.com/strimertul/strimertul/releases/download/v1.6.0/strimertul_linux_arm) (13.94 MiB)
- [strimertul_windows_amd64.exe](https://github.com/strimertul/strimertul/releases/download/v1.6.0/strimertul_windows_amd64.exe) (15.99 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v1.6.0) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v1.6.0)

This release was originally published on GitHub and converted, you can find the original release here: [v1.6.0 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v1.6.0)
