---
tag: v2.0.0-rc2
title: v2.0.0-rc2
date: 2022-02-01T11:37:20Z
prerelease: true
---

# WARNING: This is a pre-release!

## Release notes

No new features or specific bug fixes compared to [v2.0.0-rc1](https://github.com/strimertul/strimertul/releases/tag/v2.0.0-rc1), however a lot of work has been done to add support for alternative database drivers and the logging library has been switched to one that isn't unmaintained.

## Changelog (compared to v2.0.0-rc1)

### Added

- **Multiple database options**: Strimertul now supports multiple databases drivers. BadgerDB will remain as default (and currently the only option) for the time being but other databases are coming in the future.

### Changed
- The logging library has been changed to [zap](//go.uber.org/zap), the format of logs will therefore be wildly different.

### Removed
- `--run-gc` is a very BadgerDB specific option and has been removed. Database garbage collection is still run every 15 minutes or so when running badger so it shouldn't be an issue.
- Loyalty point migration from v1.2.0 and earlier has been removed. If you are somehow running such an old version of strimertul and using loyalty points, run any version of strimertul between v1.3.0 and v1.7.0 first to make sure all points are migrated to the new format.

## Known issues

- The update checker doesn't check if the current version is newer than the last stable, so it will show up all the time.


## Downloads

- [strimertul_linux_amd64](https://github.com/strimertul/strimertul/releases/download/v2.0.0-rc2/strimertul_linux_amd64) (24.83 MiB)
- [strimertul_linux_arm](https://github.com/strimertul/strimertul/releases/download/v2.0.0-rc2/strimertul_linux_arm) (22.66 MiB)
- [strimertul_windows_amd64.exe](https://github.com/strimertul/strimertul/releases/download/v2.0.0-rc2/strimertul_windows_amd64.exe) (25.09 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v2.0.0-rc2) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v2.0.0-rc2)

This release was originally published on GitHub and converted, you can find the original release here: [v2.0.0-rc2 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v2.0.0-rc2)
