---
tag: v3.1.3
title: v3.1.3
date: 2023-03-14T12:50:43Z
prerelease: false
---

This small release addresses a database breaking problem in the UI and adds extra logging for crashes.

## Changelog

### Changed

- A new log file called `strimertul-panic.log` is now created for panic information. Please attach this (as well as `strimertul.log`) when reporting crashes!

### Fixed

- Fixed changing chat history breaking the database
- Fixed panic on eventsub reconnections

## Downloads

- [strimertul-linux-amd64](https://github.com/strimertul/strimertul/releases/download/v3.1.3/strimertul-linux-amd64) (28.34 MiB)
- [strimertul.dmg](https://github.com/strimertul/strimertul/releases/download/v3.1.3/strimertul.dmg) (32.04 MiB)
- [strimertul.exe](https://github.com/strimertul/strimertul/releases/download/v3.1.3/strimertul.exe) (29.34 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v3.1.3) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v3.1.3)

This release was originally published on GitHub and converted, you can find the original release here: [v3.1.3 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v3.1.3)
