---
tag: v3.3.0-alpha.3
title: v3.3.0-alpha.3
date: 2023-05-30T11:47:13Z
prerelease: true
---

## Release notes

**Heads up**, you will need to re-authenticate your Twitch account to make the following features work!

### Chat responses as replies, whispers and announcements

Chat commands can now be sent as replies to the original chat message, whispers to the user that called the message or channel-wide announcements!

Here's an example of what is looks like:

![ui](https://github.com/strimertul/strimertul/assets/83539179/a5333228-0d93-4e85-900a-f415dcaf3b9b)
![in-chat](https://github.com/strimertul/strimertul/assets/83539179/440fbd05-b9c5-410f-9152-5d44c50d2363)

**Note:** You can't send whispers to yourself on Twitch, so when testing commands make sure you're using a different account than what's set as the bot account

## Changelog

### Added

- Custom chat commands can now be sent as replies, whispers and announcements. Due to some API shenanigans yet to be solved, the latter two will always be sent from your main account, not the bot account (if they are different)

### Changed

- Chat command cooldown can now be tweaked in the bot settings screen. (This is not per-user o per-command just yet)

### Fixed

- Fixed some minor bugs regarding backup file sorting and migration procedures
- Fixed bot cooldown being unreliable due to depending on multiple time sources
- Spaces at beginning of messages are now ignored for command checking (e.g. " !lurk" will match !lurk)

## Downloads

- [strimertul-linux-amd64](https://github.com/strimertul/strimertul/releases/download/v3.3.0-alpha.3/strimertul-linux-amd64) (28.31 MiB)
- [strimertul.dmg](https://github.com/strimertul/strimertul/releases/download/v3.3.0-alpha.3/strimertul.dmg) (32.29 MiB)
- [strimertul.exe](https://github.com/strimertul/strimertul/releases/download/v3.3.0-alpha.3/strimertul.exe) (29.37 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v3.3.0-alpha.3) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v3.3.0-alpha.3)

This release was originally published on GitHub and converted, you can find the original release here: [v3.3.0-alpha.3 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v3.3.0-alpha.3)
